#
# Conditional build
%bcond_without	python3		# Python 3 module
%bcond_without	static_libs	# don't build static library

Summary:	Library for password quality checking and generating random passwords
Summary(pl.UTF-8):	Biblioteka do sprawdzania jakości oraz generowania losowych haseł
Name:		libpwquality
Version:	1.4.0
Release:	1
License:	BSD or GPL v2+
Group:		Libraries
# Source0Download: https://github.com/libpwquality/libpwquality/releases
Source0:	https://github.com/libpwquality/libpwquality/releases/download/libpwquality-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	b8defcc7280a90e9400d6689c93a279c
Patch0:		%{name}-python.patch
URL:		https://github.com/libpwquality/libpwquality
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.9
BuildRequires:	cracklib-devel >= 2.8
BuildRequires:	gettext-tools >= 0.18.2
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
Suggests:	cracklib-dicts >= 2.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libpwquality is a library for password quality checks and generation
of random passwords that pass the checks. This library uses the
cracklib and cracklib dictionaries to perform some of the checks.

%description -l pl.UTF-8
libpwquality to biblioteka do sprawdzania jakości haseł oraz
generowania haseł losowych przechodzących te testy. Biblioteka
wykorzystuje bibliotekę cracklib oraz słowniki crackliba do
wykonywania testów.

%package -n pam-pam_pwquality
Summary:	pam_pwquality
Group:		Base
Requires:	%{name} = %{version}-%{release}

%description -n pam-pam_pwquality
pam_pwquality.

%package devel
Summary:	Header files for libpwquality library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libpwquality
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libpwquality library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libpwquality.

%package static
Summary:	Static libpwquality library
Summary(pl.UTF-8):	Statyczna biblioteka libpwquality
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libpwquality library.

%description static -l pl.UTF-8
Statyczna biblioteka libpwquality.

%package -n python-pwquality
Summary:	Python 2 bindings for the libpwquality library
Summary(pl.UTF-8):	Wiązania Pythona 2 do biblioteki libpwquality
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-pwquality
Python 2 bindings for the libpwquality library.

%description -n python-pwquality -l pl.UTF-8
Wiązania Pythona 2 do biblioteki libpwquality.

%package -n python3-pwquality
Summary:	Python 3 bindings for the libpwquality library
Summary(pl.UTF-8):	Wiązania Pythona 3 do biblioteki libpwquality
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-pwquality
Python 3 bindings for the libpwquality library.

%description -n python3-pwquality -l pl.UTF-8
Wiązania Pythona 3 do biblioteki libpwquality.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-securedir=/%{_lib}/security \
	%{__enable_disable static_libs static}

%{__make}

cd python
CFLAGS="%{rpmcflags} -fno-strict-aliasing"
%py_build
cd ..

%if %{with python3}
cd python
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd python
%py_install
cd ..

%if %{with python3}
cd python
%py3_install
cd ..
%endif

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_pwquality.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/pwmake
%attr(755,root,root) %{_bindir}/pwscore
%attr(755,root,root) %{_libdir}/libpwquality.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpwquality.so.1
%config(noreplace) %verify(not md5 mtime size) /etc/security/pwquality.conf
%{_mandir}/man1/pwmake.1*
%{_mandir}/man1/pwscore.1*
%{_mandir}/man5/pwquality.conf.5*

%files -n pam-pam_pwquality
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_pwquality.so
%{_mandir}/man8/pam_pwquality.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpwquality.so
%{_libdir}/libpwquality.la
%{_includedir}/pwquality.h
%{_pkgconfigdir}/pwquality.pc
%{_mandir}/man3/pwquality.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpwquality.a
%endif

%files -n python-pwquality
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/pwquality.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pwquality-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pwquality
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/pwquality.cpython-*.so
%{py3_sitedir}/pwquality-%{version}-py*.egg-info
%endif
%changelog
* Mon Jul 03 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpwquality.git;a=log;h=master

* Mon Jul 03 2017 Elan Ruusamäe <glen@pld-linux.org> 2b2c0ab
- suggest cracklib-dicts as upstream

* Mon Jul 03 2017 Elan Ruusamäe <glen@pld-linux.org> e002c39
- split pam package

* Mon Jul 03 2017 Elan Ruusamäe <glen@pld-linux.org> 714b840
- up to 1.4.0

* Mon May 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 2299b48
- updated URLs

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 824a539
- python 3.6
- release 5 (by relup.sh)

* Thu May 05 2016 Jan Rękorajski <baggins@pld-linux.org> ae00de8
- use rpm python macros
- rel 4

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> dde60d9
- release 3 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> b8ebbcd
- python3 rebuild
- release 2 (by relup.sh)

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 3cc44c3
- updated to 1.3.0
- added python patch to allow multiple python versions build without duplicating source tree, build python3 module

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 4e8edc0
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f6c1ce3
- updated gettext BR

* Wed Aug 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 294626e
- locales cleanup

* Fri Aug 08 2014 Elan Ruusamäe <glen@delfi.ee> a57a47e
- pam split todo?

* Thu Aug 07 2014 Łukasz Kieś <kiesiu@pld-linux.org> 0259405
- there is no minimal python BR version required

* Thu Aug 07 2014 Łukasz Kieś <kiesiu@pld-linux.org> def1af6
- updated to 1.2.4

* Sun Sep 15 2013 Jakub Bogusz <qboosh@pld-linux.org> c4d5ebc
- updated to 1.2.3

* Sun Jul 14 2013 Łukasz Kieś <kiesiu@pld-linux.org> 3d4cdfc
- updated to 1.2.2

* Wed Jan 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 77c4592
- updated to 1.2.1

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 992399b
- rebuild to fix broken filedigests
- release 3 (by relup.sh)

* Sat Oct 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 36fca66
- pl, cleanup

